Zum Hauptinhalt springen
GET
/
beta
/
v2
/
enterprise
/
repositories
/
{org_id}
Jobstatus abrufen
curl --request GET \
  --url https://api.devin.ai/beta/v2/enterprise/repositories/{org_id} \
  --header 'Authorization: Bearer <token>'
[
  {
    "indexing_enabled": true,
    "latest_completed_search_index_job": {
      "commit": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "job_id": "<string>",
      "status": "failed"
    },
    "latest_completed_wiki_index_job": {
      "commit": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "job_id": "<string>",
      "status": "failed"
    },
    "latest_index": {
      "commit": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "job_id": "<string>",
      "status": "failed"
    },
    "name": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Dieser Endpunkt gibt den aktuellen Indexierungsstatus aller Repositories zurück, die der angegebenen Organisation zugeordnet sind. Die Antwort enthält Informationen zu Indexierungsaufträgen, Commit-SHAs und Zeitstempeln für jedes Repository.

Autorisierungen

Authorization
string
header
erforderlich

Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren

Pfadparameter

org_id
string
erforderlich

Antwort

Erfolgreiche Antwort

indexing_enabled
boolean
erforderlich
latest_completed_search_index_job
RepoIndexJobResponse · object
erforderlich
latest_completed_wiki_index_job
RepoIndexJobResponse · object
erforderlich
latest_index
RepoIndexJobResponse · object
erforderlich
name
string
erforderlich